% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/mmrm.R
\name{eval_mmrm}
\alias{eval_mmrm}
\title{Evaluate a call to mmrm}
\usage{
eval_mmrm(expr)
}
\arguments{
\item{expr}{An expression to be evaluated. Should be a call to \code{\link[mmrm:mmrm]{mmrm::mmrm()}}.}
}
\description{
This is a utility function that attempts to evaluate a call to mmrm
managing any warnings or errors that are thrown. In particular
this function attempts to catch any warnings or errors and instead
of surfacing them it will simply add an additional element \code{failed}
with a value of TRUE. This allows for multiple calls to be made
without the program exiting.
}
\details{
This function was originally developed for use with glmmTMB which needed
more hand-holding and dropping of false-positive warnings. It is not
as important now but is kept around encase we need to catch
false-positive warnings again in the future.
}
\examples{
\dontrun{
eval_mmrm({
    mmrm::mmrm(formula, data)
})
}
}
\seealso{
\code{\link[=record]{record()}}
}
